//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 09:07:12 PM CET 
//


package org.tdwg.abcd2;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * A sequence of statements related to Intellectual Property Rights, credit and acknowledgement.
 * 
 * <p>Java class for LegalStatements complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="LegalStatements"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Licenses" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="License" type="{http://www.tdwg.org/schemas/abcd/3.0}LegalStatement" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="Acknowledgements" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="Acknowledgement" type="{http://www.tdwg.org/schemas/abcd/3.0}LegalStatement" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="SuggestedCitations" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="SuggestedCitation" type="{http://www.tdwg.org/schemas/abcd/3.0}LegalStatement" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="OtherLegalStatements" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="OtherLegalStatement" type="{http://www.tdwg.org/schemas/abcd/3.0}LegalStatement" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "LegalStatements", propOrder = {
    "licenses",
    "acknowledgements",
    "suggestedCitations",
    "otherLegalStatements"
})
public class LegalStatements {

    @XmlElement(name = "Licenses")
    protected LegalStatements.Licenses licenses;
    @XmlElement(name = "Acknowledgements")
    protected LegalStatements.Acknowledgements acknowledgements;
    @XmlElement(name = "SuggestedCitations")
    protected LegalStatements.SuggestedCitations suggestedCitations;
    @XmlElement(name = "OtherLegalStatements")
    protected LegalStatements.OtherLegalStatements otherLegalStatements;

    /**
     * Gets the value of the licenses property.
     * 
     * @return
     *     possible object is
     *     {@link LegalStatements.Licenses }
     *     
     */
    public LegalStatements.Licenses getLicenses() {
        return licenses;
    }

    /**
     * Sets the value of the licenses property.
     * 
     * @param value
     *     allowed object is
     *     {@link LegalStatements.Licenses }
     *     
     */
    public void setLicenses(LegalStatements.Licenses value) {
        this.licenses = value;
    }

    /**
     * Gets the value of the acknowledgements property.
     * 
     * @return
     *     possible object is
     *     {@link LegalStatements.Acknowledgements }
     *     
     */
    public LegalStatements.Acknowledgements getAcknowledgements() {
        return acknowledgements;
    }

    /**
     * Sets the value of the acknowledgements property.
     * 
     * @param value
     *     allowed object is
     *     {@link LegalStatements.Acknowledgements }
     *     
     */
    public void setAcknowledgements(LegalStatements.Acknowledgements value) {
        this.acknowledgements = value;
    }

    /**
     * Gets the value of the suggestedCitations property.
     * 
     * @return
     *     possible object is
     *     {@link LegalStatements.SuggestedCitations }
     *     
     */
    public LegalStatements.SuggestedCitations getSuggestedCitations() {
        return suggestedCitations;
    }

    /**
     * Sets the value of the suggestedCitations property.
     * 
     * @param value
     *     allowed object is
     *     {@link LegalStatements.SuggestedCitations }
     *     
     */
    public void setSuggestedCitations(LegalStatements.SuggestedCitations value) {
        this.suggestedCitations = value;
    }

    /**
     * Gets the value of the otherLegalStatements property.
     * 
     * @return
     *     possible object is
     *     {@link LegalStatements.OtherLegalStatements }
     *     
     */
    public LegalStatements.OtherLegalStatements getOtherLegalStatements() {
        return otherLegalStatements;
    }

    /**
     * Sets the value of the otherLegalStatements property.
     * 
     * @param value
     *     allowed object is
     *     {@link LegalStatements.OtherLegalStatements }
     *     
     */
    public void setOtherLegalStatements(LegalStatements.OtherLegalStatements value) {
        this.otherLegalStatements = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="Acknowledgement" type="{http://www.tdwg.org/schemas/abcd/3.0}LegalStatement" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "acknowledgement"
    })
    public static class Acknowledgements {

        @XmlElement(name = "Acknowledgement", required = true)
        protected List<LegalStatement> acknowledgement;

        /**
         * Gets the value of the acknowledgement property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the acknowledgement property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getAcknowledgement().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link LegalStatement }
         * 
         * 
         */
        public List<LegalStatement> getAcknowledgement() {
            if (acknowledgement == null) {
                acknowledgement = new ArrayList<LegalStatement>();
            }
            return this.acknowledgement;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="License" type="{http://www.tdwg.org/schemas/abcd/3.0}LegalStatement" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "license"
    })
    public static class Licenses {

        @XmlElement(name = "License", required = true)
        protected List<LegalStatement> license;

        /**
         * Gets the value of the license property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the license property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getLicense().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link LegalStatement }
         * 
         * 
         */
        public List<LegalStatement> getLicense() {
            if (license == null) {
                license = new ArrayList<LegalStatement>();
            }
            return this.license;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="OtherLegalStatement" type="{http://www.tdwg.org/schemas/abcd/3.0}LegalStatement" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "otherLegalStatement"
    })
    public static class OtherLegalStatements {

        @XmlElement(name = "OtherLegalStatement", required = true)
        protected List<LegalStatement> otherLegalStatement;

        /**
         * Gets the value of the otherLegalStatement property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the otherLegalStatement property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getOtherLegalStatement().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link LegalStatement }
         * 
         * 
         */
        public List<LegalStatement> getOtherLegalStatement() {
            if (otherLegalStatement == null) {
                otherLegalStatement = new ArrayList<LegalStatement>();
            }
            return this.otherLegalStatement;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="SuggestedCitation" type="{http://www.tdwg.org/schemas/abcd/3.0}LegalStatement" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "suggestedCitation"
    })
    public static class SuggestedCitations {

        @XmlElement(name = "SuggestedCitation", required = true)
        protected List<LegalStatement> suggestedCitation;

        /**
         * Gets the value of the suggestedCitation property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the suggestedCitation property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getSuggestedCitation().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link LegalStatement }
         * 
         * 
         */
        public List<LegalStatement> getSuggestedCitation() {
            if (suggestedCitation == null) {
                suggestedCitation = new ArrayList<LegalStatement>();
            }
            return this.suggestedCitation;
        }

    }

}
